%define anolis_release 29
Name:           perl-Test-Identity
Version:        0.01
Release:        %{anolis_release}%{?dist}
Summary:        Assert the referential identity of a reference
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Test-Identity
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PEVANS/Test-Identity-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(base)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::Builder::Module)
BuildRequires:  perl(Test::Builder::Tester)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(warnings)

%description
This module provides a single testing function, identical. It asserts that
a given reference is as expected; that is, it either refers to the same
object or is undef. It is similar to Test::More::is except that it uses
refaddr, ensuring that it behaves correctly even if the references under
test are objects that overload stringification or numification.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Test-Identity-%{version}

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc Changes

%changelog
* Fri Feb 3 2023 Funda Wang <fundawang@yeah.net> - 0.01-29
- Import package for anolis 23
